ace-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "J.W. Janssen (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ACE-499) AceObrRepository doesn't work for repositories that require authentication
Date Thu, 21 Jan 2016 09:10:39 GMT

     [ https://issues.apache.org/jira/browse/ACE-499?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

J.W. Janssen updated ACE-499:
-----------------------------
    Labels: ace-next-security  (was: )

> AceObrRepository doesn't work for repositories that require authentication
> --------------------------------------------------------------------------
>
>                 Key: ACE-499
>                 URL: https://issues.apache.org/jira/browse/ACE-499
>             Project: ACE
>          Issue Type: Bug
>    Affects Versions: 2.0.1
>            Reporter: Bram Pouwelse
>              Labels: ace-next-security
>
> The AceObrRepository (at least in the way it's used in the gogo support functions) doesn't
support using a repository that requires authentication. 
> I've tried adding a Registry to the plugin to provide a "aQute.bnd.deployer.http.HttpBasicAuthURLConnector",
this resolves the issue for read actions but the upload method still doesn't work. The UrlConnector
interface currently only supports read actions so making this work would require a change
in bnd.
> Discussed this issue with [~marrs], he proposed to obtain a BundleContext using FrameworkUtil
to retrieve the Ace ConnectionFactory service. A possible drawback of this solution would
be that this doesn't work in case the AceObrRepository is used from bnd(tools)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message